Bug#499469: #499469 llvm-examples: binNMU-unsafe dependency on llvm-dev

Evgeni Golov sargentd at die-welt.net
Tue Sep 30 09:32:13 UTC 2008


while looking at our RC bugs, I discovered this one and thought I could
fix it by loosing the Dependency on llvm-dev to >= ${source:Version},
but after looking at the package, I wondered if the Dependency is
needed at all.
The package contains only example sourcecode, which I would understand
as a kind of documentation. The code is still readable and
understandable without the llvm-dev package (even if not complileable).
Thus I think llvm-examples should only recommend llvm-dev without
any version (or does llvm break it's API with every release?).

-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 197 bytes
Desc: not available
Url : http://lists.alioth.debian.org/pipermail/pkg-llvm-team/attachments/20080930/d3a3b6a0/attachment-0001.pgp 

More information about the Pkg-llvm-team mailing list